[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[equinox-dev] org.eclipse.osgi.services...


I would like to consider removing the requirement on org.eclipse.osgi.services.  Currently I believe we require it from runtime to get the 3 preference service types.  I propose

- copy the 3 types into the runtime plugin
- removethe Require-Bundle header entry from the runtime manifest
- add Export-Package entries in the runtime manifest
- add Provide-Package entries in the runtime manifest
- inform PDE and Update as they may be interested in the config.ini change
- remove org.eclipse.osgi.services from the standard osgi.bundles list
- remove it from the RCP bundles list
- leave it in the platform feature

The downside to this is that we have a copy of the code.  Since it is exported however, there will only be one copy ever loaded (except for private copies).  The upside is that it reduces the set of "special" bundles to two (just one in the simple RCP scenarios).

Thoughts?

Jeff